%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

Name: sssd
Version: 1.5.1
Release: 71%{?dist}
Group: Applications/System
Summary: System Security Services Daemon
License: GPLv3+
URL: http://fedorahosted.org/sssd/
Source0: https://fedorahosted.org/released/sssd/%{name}-%{version}.tar.gz
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

### Patches ###
Patch0001: 0001-Sanitize-search-filters-for-nested-group-lookups.patch
Patch0002: 0002-sss_obfuscate-fixes.patch
Patch0003: 0003-Only-print-no-matching-service-rule-when-appropriate.patch
Patch0004: 0004-Check-that-the-socket-is-really-ours-before-attempti.patch
Patch0005: 0005-Do-not-attempt-to-use-START_TLS-on-SSL-connections.patch
Patch0006: 0006-Verify-LDAP-file-descriptor-validity.patch
Patch0007: 0007-Fix-for-generating-lists-of-translated-man-pages.patch
Patch0008: 0008-Remove-renewal-item-if-it-is-not-re-added.patch
Patch0009: 0009-Remove-cached-user-entry-if-initgroups-returns-ENOEN.patch
Patch0010: 0010-Point-the-IPA-provider-at-the-compat-tree-for-netgro.patch
Patch0011: 0011-Perform-initgroups-lookups-for-all-domains.patch
Patch0012: 0012-IPA-provider-remove-deleted-groups-during-initgroups.patch
Patch0013: 0013-Allow-krb5_realm-to-override-ipa_domain.patch
Patch0014: 0014-Check-ccache-file-for-renewable-TGTs-at-startup.patch
Patch0015: 0015-Add-krb5_realm-to-the-basic-IPA-options.patch
Patch0016: 0016-Fix-uninitialized-value-error-in-ipa_get_id_options.patch
Patch0017: 0017-Reset-server-status-after-timeout.patch
Patch0018: 0018-Fixes-for-dynamic-DNS-update.patch
Patch0019: 0019-Do-not-try-to-delete-sysbd-memberOf-attribute.patch
Patch0020: 0020-Prevent-segfault-in-failover-code.patch
Patch0021: 0021-Add-missing-name-to-struct-getent_ctx-for-missing-ne.patch
Patch0022: 0022-Use-realm-for-basedn-instead-of-IPA-domain.patch
Patch0023: 0023-Always-expire-host-name-resolution.patch
Patch0024: 0024-Change-state-of-hash-entry-if-netgroup-cannot-be-par.patch
Patch0025: 0025-Release-handle-if-not-connected.patch
Patch0026: 0026-Run-callbacks-if-server-IP-changes.patch
Patch0027: 0027-RHEL5-build-against-openldap24-libs.patch
Patch0028: 0028-Ignore-users-and-groups-that-lack-mandatory-attribut.patch
Patch0029: 0029-Fix-incorrect-return-value-check.patch
Patch0030: 0030-Add-support-for-krb5-access-provider-to-SSSDConfig-A.patch
Patch0031: 0031-Sanitize-DN-when-searching-the-original-DN-in-the-ca.patch
Patch0032: 0032-Ignore-alternate-names-for-users-and-groups.patch
Patch0033: 0033-Use-fake-groups-during-IPA-initgroups.patch
Patch0034: 0034-Add-sysdb_attrs_primary_name_list-routine.patch
Patch0035: 0035-Fix-potential-crashes-in-sysdb_attrs_primary_name.patch
Patch0036: 0036-sss_obfuscate-Avoid-traceback-on-ctrl-d.patch
Patch0037: 0037-Return-from-functions-in-LDAP-provider-after-marking.patch
Patch0038: 0038-Always-complete-the-transaction-in-sdap_process_grou.patch
Patch0039: 0039-Fall-back-to-cn-if-gecos-is-not-available.patch
Patch0040: 0040-Do-not-attempt-to-resolve-nameless-servers.patch
Patch0041: 0041-Read-only-rootDSE-data-if-rootDSE-is-available.patch
Patch0042: 0042-Remove-detection-of-duplicates-from-SRV-result-proce.patch
Patch0043: 0043-Initialise-srv_opts-even-if-rootDSE-is-missing.patch
Patch0044: 0044-Initialise-rootdse-to-NULL-if-not-available.patch
Patch0045: 0045-Never-remove-gecos-from-the-sysdb-cache.patch
Patch0046: 0046-memberof-free-delete-operation-payload-once-done.patch
Patch0047: 0047-Fix-regressions-in-the-negative-cache.patch
Patch0048: 0048-Fix-bad-password-caching-when-using-automatic-TGT-re.patch
Patch0049: 0049-Return-pam-data-to-the-renewal-item-if-renewal-fails.patch
Patch0050: 0050-clients-use-poll-instead-of-select.patch
Patch0051: 0051-Set-c-ares-to-retry-nameservers.patch
Patch0052: 0052-Make-password-the-default-for-ldap_default_authtok_t.patch
Patch0053: 0053-Changing-default-to-Default-for-consistency.patch
Patch0054: 0054-Only-save-members-for-successfully-saved-groups.patch
Patch0055: 0055-simple-provider-Don-t-treat-primary-GID-lookup-failu.patch
Patch0056: 0056-Enable-paging-support-for-LDAP.patch
Patch0057: 0057-IPA-Provider-don-t-fail-if-user-is-not-a-member-of-a.patch
Patch0058: 0058-Always-generate-kpasswdinfo-file.patch
Patch0059: 0059-Sanitize-username-during-initgroups-call.patch
Patch0060: 0060-Add-more-detail-to-ldap_uri-manpage-entry.patch
Patch0061: 0061-Clear-up-Wunused-but-set-variable-warnings.patch
Patch0062: 0062-Fix-typo-in-initgroups-negative-cache-check.patch
Patch0063: 0063-Add-online-callback-only-once-for-TGT-renewal.patch
Patch0064: 0064-Properly-support-IPv6-in-LDAP-URIs-for-IPA-and-LDAP-.patch
Patch0065: 0065-Support-overriding-attribute-values-locally.patch
Patch0066: 0066-Handle-non-POSIX-groups-in-nesting.patch
Patch0067: 0067-Do-not-check-pwdAttribute.patch
Patch0068: 0068-Fall-back-to-polling-when-inotify-fails.patch
Patch0069: 0069-Delete-cached-ccache-file-if-password-is-expired.patch
Patch0070: 0070-Honor-the-TTL-value-of-SRV-record-lookups.patch
Patch0071: 0071-Fix-TLS-SSL-validation-after-switch-to-ldap_init_fd.patch
Patch0072: 0072-ipa_dyndns-Use-sockaddr_storage-for-storing-IP-addre.patch
Patch0073: 0073-Use-ares_search-instead-of-ares_query-for-hostname-r.patch
Patch0074: 0074-Do-not-add-a-NULL-host-parsed-from-LDAP-URI.patch
Patch0075: 0075-Request-password-control-unconditionally-during-bind.patch
Patch0076: 0076-Rewrite-HBAC-rule-evaluator.patch
Patch0077: 0077-Provide-python-bindings-for-the-HBAC-evaluator-libra.patch
Patch0078: 0078-sss_client-avoid-leaking-file-descriptors.patch
Patch0079: 0079-Fix-indexing-of-skipped-groups.patch
Patch0080: 0080-Set-gidNumber-of-non-posix-groups-to-0-even-on-updat.patch
Patch0081: 0081-Explicitly-ignore-groups-with-gidNumber-0.patch
Patch0082: 0082-pyhbac-Do-not-convert-int-to-bool.patch
Patch0083: 0083-Fix-returning-groups-when-gidNumber-attribute-is-not.patch
Patch0084: 0084-Add-vetoed_shells-option.patch
Patch0085: 0085-Use-the-default-Kerberos-realm-for-LDAP-with-GSSAPI-.patch
Patch0086: 0086-Return-the-first-value-of-name-if-the-multivalued-na.patch
Patch0087: 0087-Use-sysdb-attribute-name-for-GID-not-LDAP-attribute.patch
Patch0088: 0088-Improve-password-policy-error-code-and-message.patch
Patch0089: 0089-HBAC-Handle-saving-groups-that-have-no-members.patch
Patch0090: 0090-HBAC-Use-of-hostgroups-for-targethost-or-sourcehost-.patch
Patch0091: 0091-Add-LDAP-provider-option-to-set-LDAP_OPT_X_SASL_NOCA.patch
Patch0092: 0092-HBAC-Properly-skip-all-non-group-memberOf-entries.patch
Patch0093: 0093-Add-option-to-specify-the-kerberos-replay-cache-dir.patch
Patch0094: 0094-Do-not-access-memory-out-of-bounds.patch
Patch0095: 0095-Improve-error-message-for-LDAP-password-constraint-v.patch
Patch0096: 0096-Use-sss_ldap_err2string-instead-of-ldap_err2string.patch
Patch0097: 0097-MONITOR-Correctly-detect-lack-of-response-from-servi.patch
Patch0098: 0098-Fix-uninitialized-pointer-read-in-sdap_gssapi_get_de.patch
Patch0099: 0099-Do-not-attempt-to-close-a-file-descriptor-0.patch
Patch0100: 0100-Do-not-delete-requests-inside-hash_iterate-loop.patch
Patch0101: 0101-HBAC-fix-typos-preventing-proper-hostgroup-evaluatio.patch
Patch0102: 0102-IPA-access-hostname-comparison-should-be-case-insens.patch
Patch0103: 0103-Better-handling-for-aliases.patch
Patch0104: 0104-Use-explicit-base-10-for-converting-strings-to-integ.patch
Patch0105: 0105-Streamline-the-example-config.patch
Patch0106: 0106-man-page-fix-lists-are-comma-separated.patch
Patch0107: 0107-Append-PID-to-sbus-server-socket-name-let-clients-us.patch
Patch0108: 0108-Check-if-dp_requests-hash-table-exists-before-using-.patch
Patch0109: 0109-Improve-performance-of-HBAC-with-large-numbers-of-ho.patch
Patch0110: 0110-Fix-Coverity-issues-introduced-by-DBUS-socket-patch.patch
Patch0111: 0111-Fixed-timeout-handling-in-responders.patch
Patch0112: 0112-Update-sssd-example.conf.patch
Patch0113: 0113-Add-a-missing-break.patch
Patch0114: 0114-Sanitize-DN-in-sysdb_get_direct_parents.patch
Patch0115: 0115-MONITOR-fix-timeout-conversion.patch
Patch0116: 0116-Use-fewer-transactions-during-RFC2307bis-initgroups.patch
Patch0117: 0117-Plug-memory-leaks-in-LDAP-provider.patch
Patch0118: 0118-RESPONDER-Fix-segfault-in-sss_packet_send.patch
#Patch0119: 0119-RHEL5-Remove-UTF8-support-for-RHEL5.patch
Patch0120: 0120-RFC2307bis-initgroups-fix-nested-groups-processing.patch
Patch0121: 0121-SYSDB-Update-sysdb-version-to-latest.patch
Patch0122: 0122-Add-fno-strict-aliasing.patch
#Patch0123:0123-Revert-RHEL5-Remove-UTF8-support-for-RHEL5.patch
Patch0124: 0124-LDAP-Try-next-failover-server-on-any-error.patch
Patch0125: 0125-RESPONDER-Ensure-that-all-input-strings-are-valid-UT.patch
Patch0126: 0126-Allow-using-Glib-for-UTF8-support.patch
Patch0127: 0127-Ignore-NULL-terminator-when-checking-UTF8-validity.patch
Patch0128: 0128-Ignore-NULL-terminator-when-checking-UTF8-validity-f.patch
Patch0129: 0129-Handle-timeout-during-sss_ldap_init_send.patch
Patch0130: 0130-Log-nsupdate-message.patch
Patch0131: 0131-IPA-Detect-nsupdate-support-for-the-realm-directive.patch
Patch0132: 0132-LDAP-Add-option-to-disable-paging-control.patch
Patch0133: 0133-RESPONDERS-Allow-increasing-the-file-descriptor-limi.patch
Patch0134: 0134-Only-do-one-cycle-when-resolving-a-server.patch
Patch0135: 0135-Try-all-KDCs-when-getting-TGT-for-LDAP.patch
Patch0136: 0136-Steal-result-onto-mem_ctx-in-sdap_initgr_nested_get_.patch
Patch0137: 0137-IPA-Check-nsAccountLock-during-PAM_ACCT_MGMT.patch
Patch0138: 0138-Add-support-for-terminating-idle-connections.patch
Patch0139: 0139-HBAC-create-empty-groups-with-one-NULL-element.patch
Patch0140: 0140-DP-Reorganize-memory-hierarchy-of-requests.patch
Patch0141: 0141-RESPONDERS-Make-the-fd_limit-setting-configurable.patch
Patch0142: 0142-Process-all-groups-from-a-single-nesting-level.patch
Patch0143: 0143-SYSDB-Make-sysdb_attrs_get_el_int-public.patch
Patch0144: 0144-Add-ipa_hbac_support_srchost-option-to-IPA-provider.patch
Patch0145: 0145-IPA-Initialize-hbac_ctx-to-NULL.patch
Patch0146: 0146-sssd_pam-Cleanup-requests-cache-on-sbus-reconect.patch
Patch0147: 0147-Add-common-SIGCHLD-handling-for-providers.patch
Patch0148: 0148-Cancel-ping-check-if-service-goes-away.patch
Patch0149: 0149-MONITOR-use-sigchld-handler-for-monitoring-SSSD-serv.patch
Patch0150: 0150-Allocate-PAM-DP-request-data-on-responder-context.patch
Patch0151: 0151-LDAP-Only-use-paging-control-on-requests-for-multipl.patch
Patch0152: 0152-Restart-services-with-a-delay-in-case-they-are-resta.patch
Patch0153: 0153-SSSD-leaks-memory-when-following-referrals.patch
Patch0154: 0154-Add-new-debug-level-macros.patch
Patch0155: 0155-TOOLS-Use-openat-unlinkat-when-removing-the-homedir.patch
Patch0156: 0156-UTIL-Add-function-for-atomic-I-O.patch
Patch0157: 0157-TOOLS-Use-file-descriptor-to-avoid-races-when-creati.patch
Patch0158: 0158-TOOLS-Compile-on-old-platforms-such-as-RHEL5.patch
Patch0159: 0159-Set-cloexec-flag-for-log-files.patch
Patch0160: 0160-monitor-Add-forgotten-break.patch
Patch0161: 0161-make-monitor_quit-usable-outside-signal-handler.patch
Patch0162: 0162-exit-original-process-after-sssd-is-initialized.patch
Patch0163: 0163-Quit-monitor-when-there-s-no-more-processes-to-stop.patch
Patch0164: 0164-IPA-Do-not-download-or-store-the-member-attribute-of.patch
Patch0165: 0165-SIGCHLD-handler-do-not-call-callback-when-pvt-data-w.patch

### Dependencies ###

Requires: libldb >= 0.9.3
Requires: libtdb >= 1.2.10
Requires: sssd-client = %{version}-%{release}

%ifarch ia64 ppc64 s390x x86_64
Requires: libnss_sss.so.2()(64bit)
Requires: pam_sss.so()(64bit)
Requires: sssd_krb5_locator_plugin.so()(64bit)
Requires: libsasl2.so.2()(64bit)
Requires: libgssapiv2.so.2()(64bit)
%else
Requires: libnss_sss.so.2
Requires: pam_sss.so
Requires: sssd_krb5_locator_plugin.so
Requires: libsasl2.so.2
Requires: libgssapiv2.so.2
%endif

Requires: libipa_hbac = %{version}-%{release}
Requires: cyrus-sasl-gssapi

Requires: krb5-libs
Requires: libdhash >= 0.4.2
Requires: libini_config >= 0.6.1
Requires: dbus-libs >= 1.1.2
Requires(post): initscripts chkconfig /sbin/ldconfig
Requires(preun):  initscripts chkconfig
Requires(postun): initscripts chkconfig /sbin/ldconfig

%global servicename sssd
%global sssdstatedir %{_localstatedir}/lib/sss
%global dbpath %{sssdstatedir}/db
%global pipepath %{sssdstatedir}/pipes
%global pubconfpath %{sssdstatedir}/pubconf

### Build Dependencies ###

BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool
BuildRequires: gettext-devel
BuildRequires: m4
%{?fedora:BuildRequires: popt-devel}
%if 0%{?rhel} <= 5
BuildRequires: popt
%endif
%if 0%{?rhel} >= 6
BuildRequires: popt-devel
%endif
BuildRequires: libtalloc-devel
BuildRequires: libtevent-devel
BuildRequires: libtdb-devel >= 1.2.10
BuildRequires: libldb-devel
BuildRequires: libdhash-devel >= 0.4.2
BuildRequires: libcollection-devel
BuildRequires: libini_config-devel >= 0.6.1
BuildRequires: dbus-devel >= 1.1.2
BuildRequires: dbus-libs
BuildRequires: openldap24-libs-devel
BuildRequires: pam-devel
BuildRequires: nss-devel
BuildRequires: nspr-devel
BuildRequires: pcre-devel
BuildRequires: libxslt
BuildRequires: libxml2
BuildRequires: docbook-style-xsl
BuildRequires: krb5-devel
BuildRequires: c-ares-devel
BuildRequires: python-devel
BuildRequires: check-devel
BuildRequires: doxygen
BuildRequires: libselinux-devel
BuildRequires: libsemanage-devel
BuildRequires: bind-utils
BuildRequires: keyutils-libs-devel
BuildRequires: libnl-devel
BuildRequires: nscd
BuildRequires: pkgconfig
BuildRequires: diffstat
BuildRequires: findutils
# For unicode support
BuildRequires: glib2-devel

%description
Provides a set of daemons to manage access to remote directories and
authentication mechanisms. It provides an NSS and PAM interface toward
the system and a pluggable backend system to connect to multiple different
account sources. It is also the basis to provide client auditing and policy
services for projects like FreeIPA.

%package client
Summary: SSSD Client libraries for NSS and PAM
Group: Applications/System
License: LGPLv3+

%description client
Provides the libraries needed by the PAM and NSS stacks to connect to the SSSD
service.

%package tools
Summary: Userspace tools for use with the SSSD
Group: Applications/System
License: GPLv3+
Requires: sssd = %{version}-%{release}

%description tools
Provides userspace tools for manipulating users, groups, and nested groups in
SSSD when using id_provider = local in /etc/sssd/sssd.conf.

Also provides a userspace tool for generating an obfuscated LDAP password for
use with ldap_default_authtok_type = obfuscated_password.

%package -n libipa_hbac
Summary: FreeIPA HBAC Evaluator library
Group: Development/Libraries
License: LGPLv3+

%description -n libipa_hbac
Utility library to validate FreeIPA HBAC rules for authorization requests

%package -n libipa_hbac-devel
Summary: FreeIPA HBAC Evaluator library
Group: Development/Libraries
License: LGPLv3+
Requires: libipa_hbac = %{version}-%{release}

%description -n libipa_hbac-devel
Utility library to validate FreeIPA HBAC rules for authorization requests

%package -n libipa_hbac-python
Summary: Python bindings for the FreeIPA HBAC Evaluator library
Group: Development/Libraries
License: LGPLv3+
Requires: libipa_hbac = %{version}-%{release}

%description -n libipa_hbac-python
The libipa_hbac-python contains the bindings so that libipa_hbac can be
used by Python applications.

%prep
# Update timestamps on the files touched by a patch, to avoid non-equal
# .pyc/.pyo files across the multilib peers within a build, where "Level"
# is the patch prefix option (e.g. -p1)
# Taken from specfile for python-simplejson
UpdateTimestamps() {
  Level=$1
  PatchFile=$2

  # Locate the affected files:
  for f in $(diffstat $Level -l $PatchFile); do
    # Set the files to have the same timestamp as that of the patch:
    touch -r $PatchFile $f
  done
}

%setup -q
%patch0001 -p1
UpdateTimestamps -p1 %{_sourcedir}/0001-Sanitize-search-filters-for-nested-group-lookups.patch

%patch0002 -p1
UpdateTimestamps -p1 %{_sourcedir}/0002-sss_obfuscate-fixes.patch

%patch0003 -p1
UpdateTimestamps -p1 %{_sourcedir}/0003-Only-print-no-matching-service-rule-when-appropriate.patch

%patch0004 -p1
UpdateTimestamps -p1 %{_sourcedir}/0004-Check-that-the-socket-is-really-ours-before-attempti.patch

%patch0005 -p1
UpdateTimestamps -p1 %{_sourcedir}/0005-Do-not-attempt-to-use-START_TLS-on-SSL-connections.patch

%patch0006 -p1
UpdateTimestamps -p1 %{_sourcedir}/0006-Verify-LDAP-file-descriptor-validity.patch

%patch0007 -p1
UpdateTimestamps -p1 %{_sourcedir}/0007-Fix-for-generating-lists-of-translated-man-pages.patch

%patch0008 -p1
UpdateTimestamps -p1 %{_sourcedir}/0008-Remove-renewal-item-if-it-is-not-re-added.patch

%patch0009 -p1
UpdateTimestamps -p1 %{_sourcedir}/0009-Remove-cached-user-entry-if-initgroups-returns-ENOEN.patch

%patch0010 -p1
UpdateTimestamps -p1 %{_sourcedir}/0010-Point-the-IPA-provider-at-the-compat-tree-for-netgro.patch

%patch0011 -p1
UpdateTimestamps -p1 %{_sourcedir}/0011-Perform-initgroups-lookups-for-all-domains.patch

%patch0012 -p1
UpdateTimestamps -p1 %{_sourcedir}/0012-IPA-provider-remove-deleted-groups-during-initgroups.patch

%patch0013 -p1
UpdateTimestamps -p1 %{_sourcedir}/0013-Allow-krb5_realm-to-override-ipa_domain.patch

%patch0014 -p1
UpdateTimestamps -p1 %{_sourcedir}/0014-Check-ccache-file-for-renewable-TGTs-at-startup.patch

%patch0015 -p1
UpdateTimestamps -p1 %{_sourcedir}/0015-Add-krb5_realm-to-the-basic-IPA-options.patch

%patch0016 -p1
UpdateTimestamps -p1 %{_sourcedir}/0016-Fix-uninitialized-value-error-in-ipa_get_id_options.patch

%patch0017 -p1
UpdateTimestamps -p1 %{_sourcedir}/0017-Reset-server-status-after-timeout.patch

%patch0018 -p1
UpdateTimestamps -p1 %{_sourcedir}/0018-Fixes-for-dynamic-DNS-update.patch

%patch0019 -p1
UpdateTimestamps -p1 %{_sourcedir}/0019-Do-not-try-to-delete-sysbd-memberOf-attribute.patch

%patch0020 -p1
UpdateTimestamps -p1 %{_sourcedir}/0020-Prevent-segfault-in-failover-code.patch

%patch0021 -p1
UpdateTimestamps -p1 %{_sourcedir}/0021-Add-missing-name-to-struct-getent_ctx-for-missing-ne.patch

%patch0022 -p1
UpdateTimestamps -p1 %{_sourcedir}/0022-Use-realm-for-basedn-instead-of-IPA-domain.patch

%patch0023 -p1
UpdateTimestamps -p1 %{_sourcedir}/0023-Always-expire-host-name-resolution.patch

%patch0024 -p1
UpdateTimestamps -p1 %{_sourcedir}/0024-Change-state-of-hash-entry-if-netgroup-cannot-be-par.patch

%patch0025 -p1
UpdateTimestamps -p1 %{_sourcedir}/0025-Release-handle-if-not-connected.patch

%patch0026 -p1
UpdateTimestamps -p1 %{_sourcedir}/0026-Run-callbacks-if-server-IP-changes.patch

%patch0027 -p1
UpdateTimestamps -p1 %{_sourcedir}/0027-RHEL5-build-against-openldap24-libs.patch

%patch0028 -p1
UpdateTimestamps -p1 %{_sourcedir}/0028-Ignore-users-and-groups-that-lack-mandatory-attribut.patch

%patch0029 -p1
UpdateTimestamps -p1 %{_sourcedir}/0029-Fix-incorrect-return-value-check.patch

%patch0030 -p1
UpdateTimestamps -p1 %{_sourcedir}/0030-Add-support-for-krb5-access-provider-to-SSSDConfig-A.patch

%patch0031 -p1
UpdateTimestamps -p1 %{_sourcedir}/0031-Sanitize-DN-when-searching-the-original-DN-in-the-ca.patch

%patch0032 -p1
UpdateTimestamps -p1 %{_sourcedir}/0032-Ignore-alternate-names-for-users-and-groups.patch

%patch0033 -p1
UpdateTimestamps -p1 %{_sourcedir}/0033-Use-fake-groups-during-IPA-initgroups.patch

%patch0034 -p1
UpdateTimestamps -p1 %{_sourcedir}/0034-Add-sysdb_attrs_primary_name_list-routine.patch

%patch0035 -p1
UpdateTimestamps -p1 %{_sourcedir}/0035-Fix-potential-crashes-in-sysdb_attrs_primary_name.patch

%patch0036 -p1
UpdateTimestamps -p1 %{_sourcedir}/0036-sss_obfuscate-Avoid-traceback-on-ctrl-d.patch

%patch0037 -p1
UpdateTimestamps -p1 %{_sourcedir}/0037-Return-from-functions-in-LDAP-provider-after-marking.patch

%patch0038 -p1
UpdateTimestamps -p1 %{_sourcedir}/0038-Always-complete-the-transaction-in-sdap_process_grou.patch

%patch0039 -p1
UpdateTimestamps -p1 %{_sourcedir}/0039-Fall-back-to-cn-if-gecos-is-not-available.patch

%patch0040 -p1
UpdateTimestamps -p1 %{_sourcedir}/0040-Do-not-attempt-to-resolve-nameless-servers.patch

%patch0041 -p1
UpdateTimestamps -p1 %{_sourcedir}/0041-Read-only-rootDSE-data-if-rootDSE-is-available.patch

%patch0042 -p1
UpdateTimestamps -p1 %{_sourcedir}/0042-Remove-detection-of-duplicates-from-SRV-result-proce.patch

%patch0043 -p1
UpdateTimestamps -p1 %{_sourcedir}/0043-Initialise-srv_opts-even-if-rootDSE-is-missing.patch

%patch0044 -p1
UpdateTimestamps -p1 %{_sourcedir}/0044-Initialise-rootdse-to-NULL-if-not-available.patch

%patch0045 -p1
UpdateTimestamps -p1 %{_sourcedir}/0045-Never-remove-gecos-from-the-sysdb-cache.patch

%patch0046 -p1
UpdateTimestamps -p1 %{_sourcedir}/0046-memberof-free-delete-operation-payload-once-done.patch

%patch0047 -p1
UpdateTimestamps -p1 %{_sourcedir}/0047-Fix-regressions-in-the-negative-cache.patch

%patch0048 -p1
UpdateTimestamps -p1 %{_sourcedir}/0048-Fix-bad-password-caching-when-using-automatic-TGT-re.patch

%patch0049 -p1
UpdateTimestamps -p1 %{_sourcedir}/0049-Return-pam-data-to-the-renewal-item-if-renewal-fails.patch

%patch0050 -p1
UpdateTimestamps -p1 %{_sourcedir}/0050-clients-use-poll-instead-of-select.patch

%patch0051 -p1
UpdateTimestamps -p1 %{_sourcedir}/0051-Set-c-ares-to-retry-nameservers.patch

%patch0052 -p1
UpdateTimestamps -p1 %{_sourcedir}/0052-Make-password-the-default-for-ldap_default_authtok_t.patch

%patch0053 -p1
UpdateTimestamps -p1 %{_sourcedir}/0053-Changing-default-to-Default-for-consistency.patch

%patch0054 -p1
UpdateTimestamps -p1 %{_sourcedir}/0054-Only-save-members-for-successfully-saved-groups.patch

%patch0055 -p1
UpdateTimestamps -p1 %{_sourcedir}/0055-simple-provider-Don-t-treat-primary-GID-lookup-failu.patch

%patch0056 -p1
UpdateTimestamps -p1 %{_sourcedir}/0056-Enable-paging-support-for-LDAP.patch

%patch0057 -p1
UpdateTimestamps -p1 %{_sourcedir}/0057-IPA-Provider-don-t-fail-if-user-is-not-a-member-of-a.patch

%patch0058 -p1
UpdateTimestamps -p1 %{_sourcedir}/0058-Always-generate-kpasswdinfo-file.patch

%patch0059 -p1
UpdateTimestamps -p1 %{_sourcedir}/0059-Sanitize-username-during-initgroups-call.patch

%patch0060 -p1
UpdateTimestamps -p1 %{_sourcedir}/0060-Add-more-detail-to-ldap_uri-manpage-entry.patch

%patch0061 -p1
UpdateTimestamps -p1 %{_sourcedir}/0061-Clear-up-Wunused-but-set-variable-warnings.patch

%patch0062 -p1
UpdateTimestamps -p1 %{_sourcedir}/0062-Fix-typo-in-initgroups-negative-cache-check.patch

%patch0063 -p1
UpdateTimestamps -p1 %{_sourcedir}/0063-Add-online-callback-only-once-for-TGT-renewal.patch

%patch0064 -p1
UpdateTimestamps -p1 %{_sourcedir}/0064-Properly-support-IPv6-in-LDAP-URIs-for-IPA-and-LDAP-.patch

%patch0065 -p1
UpdateTimestamps -p1 %{_sourcedir}/0065-Support-overriding-attribute-values-locally.patch

%patch0066 -p1
UpdateTimestamps -p1 %{_sourcedir}/0066-Handle-non-POSIX-groups-in-nesting.patch

%patch0067 -p1
UpdateTimestamps -p1 %{_sourcedir}/0067-Do-not-check-pwdAttribute.patch

%patch0068 -p1
UpdateTimestamps -p1 %{_sourcedir}/0068-Fall-back-to-polling-when-inotify-fails.patch

%patch0069 -p1
UpdateTimestamps -p1 %{_sourcedir}/0069-Delete-cached-ccache-file-if-password-is-expired.patch

%patch0070 -p1
UpdateTimestamps -p1 %{_sourcedir}/0070-Honor-the-TTL-value-of-SRV-record-lookups.patch

%patch0071 -p1
UpdateTimestamps -p1 %{_sourcedir}/0071-Fix-TLS-SSL-validation-after-switch-to-ldap_init_fd.patch

%patch0072 -p1
UpdateTimestamps -p1 %{_sourcedir}/0072-ipa_dyndns-Use-sockaddr_storage-for-storing-IP-addre.patch

%patch0073 -p1
UpdateTimestamps -p1 %{_sourcedir}/0073-Use-ares_search-instead-of-ares_query-for-hostname-r.patch

%patch0074 -p1
UpdateTimestamps -p1 %{_sourcedir}/0074-Do-not-add-a-NULL-host-parsed-from-LDAP-URI.patch

%patch0075 -p1
UpdateTimestamps -p1 %{_sourcedir}/0075-Request-password-control-unconditionally-during-bind.patch

%patch0076 -p1
UpdateTimestamps -p1 %{_sourcedir}/0076-Rewrite-HBAC-rule-evaluator.patch

%patch0077 -p1
UpdateTimestamps -p1 %{_sourcedir}/0077-Provide-python-bindings-for-the-HBAC-evaluator-libra.patch

%patch0078 -p1
UpdateTimestamps -p1 %{_sourcedir}/0078-sss_client-avoid-leaking-file-descriptors.patch

%patch0079 -p1
UpdateTimestamps -p1 %{_sourcedir}/0079-Fix-indexing-of-skipped-groups.patch

%patch0080 -p1
UpdateTimestamps -p1 %{_sourcedir}/0080-Set-gidNumber-of-non-posix-groups-to-0-even-on-updat.patch

%patch0081 -p1
UpdateTimestamps -p1 %{_sourcedir}/0081-Explicitly-ignore-groups-with-gidNumber-0.patch

%patch0082 -p1
UpdateTimestamps -p1 %{_sourcedir}/0082-pyhbac-Do-not-convert-int-to-bool.patch

%patch0083 -p1
UpdateTimestamps -p1 %{_sourcedir}/0083-Fix-returning-groups-when-gidNumber-attribute-is-not.patch

%patch0084 -p1
UpdateTimestamps -p1 %{_sourcedir}/0084-Add-vetoed_shells-option.patch

%patch0085 -p1
UpdateTimestamps -p1 %{_sourcedir}/0085-Use-the-default-Kerberos-realm-for-LDAP-with-GSSAPI-.patch

%patch0086 -p1
UpdateTimestamps -p1 %{_sourcedir}/0086-Return-the-first-value-of-name-if-the-multivalued-na.patch

%patch0087 -p1
UpdateTimestamps -p1 %{_sourcedir}/0087-Use-sysdb-attribute-name-for-GID-not-LDAP-attribute.patch

%patch0088 -p1
UpdateTimestamps -p1 %{_sourcedir}/0088-Improve-password-policy-error-code-and-message.patch

%patch0089 -p1
UpdateTimestamps -p1 %{_sourcedir}/0089-HBAC-Handle-saving-groups-that-have-no-members.patch

%patch0090 -p1
UpdateTimestamps -p1 %{_sourcedir}/0090-HBAC-Use-of-hostgroups-for-targethost-or-sourcehost-.patch

%patch0091 -p1
UpdateTimestamps -p1 %{_sourcedir}/0091-Add-LDAP-provider-option-to-set-LDAP_OPT_X_SASL_NOCA.patch

%patch0092 -p1
UpdateTimestamps -p1 %{_sourcedir}/0092-HBAC-Properly-skip-all-non-group-memberOf-entries.patch

%patch0093 -p1
UpdateTimestamps -p1 %{_sourcedir}/0093-Add-option-to-specify-the-kerberos-replay-cache-dir.patch

%patch0094 -p1
UpdateTimestamps -p1 %{_sourcedir}/0094-Do-not-access-memory-out-of-bounds.patch

%patch0095 -p1
UpdateTimestamps -p1 %{_sourcedir}/0095-Improve-error-message-for-LDAP-password-constraint-v.patch

%patch0096 -p1
UpdateTimestamps -p1 %{_sourcedir}/0096-Use-sss_ldap_err2string-instead-of-ldap_err2string.patch

%patch0097 -p1
UpdateTimestamps -p1 %{_sourcedir}/0097-MONITOR-Correctly-detect-lack-of-response-from-servi.patch

%patch0098 -p1
UpdateTimestamps -p1 %{_sourcedir}/0098-Fix-uninitialized-pointer-read-in-sdap_gssapi_get_de.patch

%patch0099 -p1
UpdateTimestamps -p1 %{_sourcedir}/0099-Do-not-attempt-to-close-a-file-descriptor-0.patch

%patch0100 -p1
UpdateTimestamps -p1 %{_sourcedir}/0100-Do-not-delete-requests-inside-hash_iterate-loop.patch

%patch0101 -p1
UpdateTimestamps -p1 %{_sourcedir}/0101-HBAC-fix-typos-preventing-proper-hostgroup-evaluatio.patch

%patch0102 -p1
UpdateTimestamps -p1 %{_sourcedir}/0102-IPA-access-hostname-comparison-should-be-case-insens.patch

%patch0103 -p1
UpdateTimestamps -p1 %{_sourcedir}/0103-Better-handling-for-aliases.patch

%patch0104 -p1
UpdateTimestamps -p1 %{_sourcedir}/0104-Use-explicit-base-10-for-converting-strings-to-integ.patch

%patch0105 -p1
UpdateTimestamps -p1 %{_sourcedir}/0105-Streamline-the-example-config.patch

%patch0106 -p1
UpdateTimestamps -p1 %{_sourcedir}/0106-man-page-fix-lists-are-comma-separated.patch

%patch0107 -p1
UpdateTimestamps -p1 %{_sourcedir}/0107-Append-PID-to-sbus-server-socket-name-let-clients-us.patch

%patch0108 -p1
UpdateTimestamps -p1 %{_sourcedir}/0108-Check-if-dp_requests-hash-table-exists-before-using-.patch

%patch0109 -p1
UpdateTimestamps -p1 %{_sourcedir}/0109-Improve-performance-of-HBAC-with-large-numbers-of-ho.patch

%patch0110 -p1
UpdateTimestamps -p1 %{_sourcedir}/0110-Fix-Coverity-issues-introduced-by-DBUS-socket-patch.patch

%patch0111 -p1
UpdateTimestamps -p1 %{_sourcedir}/0111-Fixed-timeout-handling-in-responders.patch

%patch0112 -p1
UpdateTimestamps -p1 %{_sourcedir}/0112-Update-sssd-example.conf.patch

%patch0113 -p1
UpdateTimestamps -p1 %{_sourcedir}/0113-Add-a-missing-break.patch

%patch0114 -p1
UpdateTimestamps -p1 %{_sourcedir}/0114-Sanitize-DN-in-sysdb_get_direct_parents.patch

%patch0115 -p1
UpdateTimestamps -p1 %{_sourcedir}/0115-MONITOR-fix-timeout-conversion.patch

%patch0116 -p1
UpdateTimestamps -p1 %{_sourcedir}/0116-Use-fewer-transactions-during-RFC2307bis-initgroups.patch

%patch0117 -p1
UpdateTimestamps -p1 %{_sourcedir}/0117-Plug-memory-leaks-in-LDAP-provider.patch

%patch0118 -p1
UpdateTimestamps -p1 %{_sourcedir}/0118-RESPONDER-Fix-segfault-in-sss_packet_send.patch

#%patch0119 -p1
#UpdateTimestamps -p1 %{_sourcedir}/0119-RHEL5-Remove-UTF8-support-for-RHEL5.patch

%patch0120 -p1
UpdateTimestamps -p1 %{_sourcedir}/0120-RFC2307bis-initgroups-fix-nested-groups-processing.patch

%patch0121 -p1
UpdateTimestamps -p1 %{_sourcedir}/0121-SYSDB-Update-sysdb-version-to-latest.patch

%patch0122 -p1
UpdateTimestamps -p1 %{_sourcedir}/0122-Add-fno-strict-aliasing.patch

#%patch0123 -p1
#UpdateTimestamps -p1 %{_sourcedir}/0123-Revert-RHEL5-Remove-UTF8-support-for-RHEL5.patch

%patch0124 -p1
UpdateTimestamps -p1 %{_sourcedir}/0124-LDAP-Try-next-failover-server-on-any-error.patch

%patch0125 -p1
UpdateTimestamps -p1 %{_sourcedir}/0125-RESPONDER-Ensure-that-all-input-strings-are-valid-UT.patch

%patch0126 -p1
UpdateTimestamps -p1 %{_sourcedir}/0126-Allow-using-Glib-for-UTF8-support.patch

%patch0127 -p1
UpdateTimestamps -p1 %{_sourcedir}/0127-Ignore-NULL-terminator-when-checking-UTF8-validity.patch

%patch0128 -p1
UpdateTimestamps -p1 %{_sourcedir}/0128-Ignore-NULL-terminator-when-checking-UTF8-validity-f.patch

%patch0129 -p1
UpdateTimestamps -p1 %{_sourcedir}/0129-Handle-timeout-during-sss_ldap_init_send.patch

%patch0130 -p1
UpdateTimestamps -p1 %{_sourcedir}/0130-Log-nsupdate-message.patch

%patch0131 -p1
UpdateTimestamps -p1 %{_sourcedir}/0131-IPA-Detect-nsupdate-support-for-the-realm-directive.patch

%patch0132 -p1
UpdateTimestamps -p1 %{_sourcedir}/0132-LDAP-Add-option-to-disable-paging-control.patch

%patch0133 -p1
UpdateTimestamps -p1 %{_sourcedir}/0133-RESPONDERS-Allow-increasing-the-file-descriptor-limi.patch

%patch0134 -p1
UpdateTimestamps -p1 %{_sourcedir}/0134-Only-do-one-cycle-when-resolving-a-server.patch

%patch0135 -p1
UpdateTimestamps -p1 %{_sourcedir}/0135-Try-all-KDCs-when-getting-TGT-for-LDAP.patch

%patch0136 -p1
UpdateTimestamps -p1 %{_sourcedir}/00136-Steal-result-onto-mem_ctx-in-sdap_initgr_nested_get_.patch

%patch0137 -p1
UpdateTimestamps -p1 %{_sourcedir}/0137-IPA-Check-nsAccountLock-during-PAM_ACCT_MGMT.patch

%patch0138 -p1
UpdateTimestamps -p1 %{_sourcedir}/0138-Add-support-for-terminating-idle-connections.patch

%patch0139 -p1
UpdateTimestamps -p1 %{_sourcedir}/0139-HBAC-create-empty-groups-with-one-NULL-element.patch

%patch0140 -p1
UpdateTimestamps -p1 %{_sourcedir}/0140-DP-Reorganize-memory-hierarchy-of-requests.patch

%patch0141 -p1
UpdateTimestamps -p1 %{_sourcedir}/0141-RESPONDERS-Make-the-fd_limit-setting-configurable.patch

%patch0142 -p1
UpdateTimestamps -p1 %{_sourcedir}/0142-Process-all-groups-from-a-single-nesting-level.patch

%patch0143 -p1
UpdateTimestamps -p1 %{_sourcedir}/0143-SYSDB-Make-sysdb_attrs_get_el_int-public.patch

%patch0144 -p1
UpdateTimestamps -p1 %{_sourcedir}/0144-Add-ipa_hbac_support_srchost-option-to-IPA-provider.patch

%patch0145 -p1
UpdateTimestamps -p1 %{_sourcedir}/0145-IPA-Initialize-hbac_ctx-to-NULL.patch

%patch0146 -p1
UpdateTimestamps -p1 %{_sourcedir}/0146-sssd_pam-Cleanup-requests-cache-on-sbus-reconect.patch

%patch0147 -p1
UpdateTimestamps -p1 %{_sourcedir}/0147-Add-common-SIGCHLD-handling-for-providers.patch

%patch0148 -p1
UpdateTimestamps -p1 %{_sourcedir}/0148-Cancel-ping-check-if-service-goes-away.patch

%patch0149 -p1
UpdateTimestamps -p1 %{_sourcedir}/0149-MONITOR-use-sigchld-handler-for-monitoring-SSSD-serv.patch

%patch0150 -p1
UpdateTimestamps -p1 %{_sourcedir}/0150-Allocate-PAM-DP-request-data-on-responder-context.patch

%patch0151 -p1
UpdateTimestamps -p1 %{_sourcedir}/0151-LDAP-Only-use-paging-control-on-requests-for-multipl.patch

%patch0152 -p1
UpdateTimestamps -p1 %{_sourcedir}/0152-Restart-services-with-a-delay-in-case-they-are-resta.patch

%patch0153 -p1
UpdateTimestamps -p1 %{_sourcedir}/0153-SSSD-leaks-memory-when-following-referrals.patch

%patch0154 -p1
UpdateTimestamps -p1 %{_sourcedir}/0154-Add-new-debug-level-macros.patch

%patch0155 -p1
UpdateTimestamps -p1 %{_sourcedir}/0155-TOOLS-Use-openat-unlinkat-when-removing-the-homedir.patch

%patch0156 -p1
UpdateTimestamps -p1 %{_sourcedir}/0156-UTIL-Add-function-for-atomic-I-O.patch

%patch0157 -p1
UpdateTimestamps -p1 %{_sourcedir}/0157-TOOLS-Use-file-descriptor-to-avoid-races-when-creati.patch

%patch0158 -p1
UpdateTimestamps -p1 %{_sourcedir}/0158-TOOLS-Compile-on-old-platforms-such-as-RHEL5.patch

%patch0159 -p1
UpdateTimestamps -p1 %{_sourcedir}/0159-Set-cloexec-flag-for-log-files.patch

%patch0160 -p1
UpdateTimestamps -p1 %{_sourcedir}/0160-monitor-Add-forgotten-break.patch

%patch0161 -p1
UpdateTimestamps -p1 %{_sourcedir}/0161-make-monitor_quit-usable-outside-signal-handler.patch

%patch0162 -p1
UpdateTimestamps -p1 %{_sourcedir}/0162-exit-original-process-after-sssd-is-initialized.patch

%patch0163 -p1
UpdateTimestamps -p1 %{_sourcedir}/0163-Quit-monitor-when-there-s-no-more-processes-to-stop.patch

%patch0164 -p1
UpdateTimestamps -p1 %{_sourcedir}/0164-IPA-Do-not-download-or-store-the-member-attribute-of.patch

%patch0165 -p1
UpdateTimestamps -p1 %{_sourcedir}/0165-SIGCHLD-handler-do-not-call-callback-when-pvt-data-w.patch

%build
# RHEL 5 uses an old libtool, so we need to reconfigure
for i in libtool.m4  lt~obsolete.m4  ltoptions.m4  ltsugar.m4  ltversion.m4
do
    find . -name $i -exec rm -f {} \;
done

autoreconf -ivf

%configure \
    --with-db-path=%{dbpath} \
    --with-pipe-path=%{pipepath} \
    --with-pubconf-path=%{pubconfpath} \
    --with-init-dir=%{_initrddir} \
    --enable-nsslibdir=/%{_lib} \
    --enable-pammoddir=/%{_lib}/security \
    --disable-static \
    --disable-rpath \
    --with-test-dir=/dev/shm \
    --with-unicode-lib=glib2

make %{?_smp_mflags}

%check
# 'patch' doesn't create the new tests with the executable flag
chmod +x src/tests/pyhbac-test.py

export CK_TIMEOUT_MULTIPLIER=10
make %{?_smp_mflags} check
unset CK_TIMEOUT_MULTIPLIER

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# Prepare language files
/usr/lib/rpm/find-lang.sh $RPM_BUILD_ROOT sssd

# Copy default sssd.conf file
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/sssd
install -m600 src/examples/sssd.conf $RPM_BUILD_ROOT%{_sysconfdir}/sssd/sssd.conf
install -m444 src/config/etc/sssd.api.conf $RPM_BUILD_ROOT%{_sysconfdir}/sssd/sssd.api.conf
install -m444 src/config/etc/sssd.api.d/* $RPM_BUILD_ROOT%{_sysconfdir}/sssd/sssd.api.d/

# Copy default logrotate file
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/logrotate.d
install -m644 src/examples/logrotate $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/sssd

# Make sure SSSD is able to run on read-only root
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/rwtab.d
install -m644 src/examples/rwtab $RPM_BUILD_ROOT%{_sysconfdir}/rwtab.d/sssd

# Remove .la files created by libtool
find $RPM_BUILD_ROOT -name "*.la" -exec rm -f {} \;

# Older versions of rpmbuild can only handle one -f option
# So we need to append to the sssd.lang file
for file in `ls $RPM_BUILD_ROOT/%{python_sitelib}/*.egg-info 2> /dev/null`
do
    echo %{python_sitelib}/`basename $file` >> sssd.lang
done

touch sssd_tools.lang
for man in `find $RPM_BUILD_ROOT/%{_mandir}/??/man?/ -type f | sed -e "s#$RPM_BUILD_ROOT/%{_mandir}/##"`
do
    lang=`echo $man | cut -c 1-2`
    case `basename $man` in
        sss_*)
            echo \%lang\(${lang}\) \%{_mandir}/${man}\* >> sssd_tools.lang
        ;;
        *)
            echo \%lang\(${lang}\) \%{_mandir}/${man}\* >> sssd.lang
            ;;
    esac
done

%clean
rm -rf $RPM_BUILD_ROOT

%files -f sssd.lang
%defattr(-,root,root,-)
%doc COPYING
%{_initrddir}/%{name}
%{_sbindir}/sssd
%{_libexecdir}/%{servicename}/
%{_libdir}/%{name}/
%{_libdir}/ldb/memberof.so
%dir %{sssdstatedir}
%attr(700,root,root) %dir %{dbpath}
%attr(755,root,root) %dir %{pipepath}
%attr(755,root,root) %dir %{pubconfpath}
%attr(700,root,root) %dir %{pipepath}/private
%attr(750,root,root) %dir %{_var}/log/%{name}
%attr(711,root,root) %dir %{_sysconfdir}/sssd
%config(noreplace) %verify(not md5 size mtime) %{_sysconfdir}/sssd/sssd.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/sssd
%config(noreplace) %{_sysconfdir}/rwtab.d/sssd
%config %{_sysconfdir}/sssd/sssd.api.conf
%attr(755,root,root) %dir %{_sysconfdir}/sssd/sssd.api.d
%config %{_sysconfdir}/sssd/sssd.api.d/*
%{_mandir}/man5/sssd.conf.5*
%{_mandir}/man5/sssd-ipa.5*
%{_mandir}/man5/sssd-krb5.5*
%{_mandir}/man5/sssd-ldap.5*
%{_mandir}/man5/sssd-simple.5*
%{_mandir}/man8/sssd.8*
%{python_sitearch}/pysss.so
%{python_sitelib}/*.py*

%files client
%defattr(-,root,root,-)
%doc src/sss_client/COPYING src/sss_client/COPYING.LESSER
/%{_lib}/libnss_sss.so.2
/%{_lib}/security/pam_sss.so
%{_libdir}/krb5/plugins/libkrb5/sssd_krb5_locator_plugin.so
%{_mandir}/man8/pam_sss.8*
%{_mandir}/man8/sssd_krb5_locator_plugin.8*

%files tools -f sssd_tools.lang
%defattr(-,root,root,-)
%doc COPYING
%{_sbindir}/sss_useradd
%{_sbindir}/sss_userdel
%{_sbindir}/sss_usermod
%{_sbindir}/sss_groupadd
%{_sbindir}/sss_groupdel
%{_sbindir}/sss_groupmod
%{_sbindir}/sss_groupshow
%{_sbindir}/sss_obfuscate
%{_mandir}/man8/sss_groupadd.8*
%{_mandir}/man8/sss_groupdel.8*
%{_mandir}/man8/sss_groupmod.8*
%{_mandir}/man8/sss_groupshow.8*
%{_mandir}/man8/sss_useradd.8*
%{_mandir}/man8/sss_userdel.8*
%{_mandir}/man8/sss_usermod.8*
%{_mandir}/man8/sss_obfuscate.8*

%files -n libipa_hbac
%defattr(-,root,root,-)
%doc src/sss_client/COPYING src/sss_client/COPYING.LESSER
%{_libdir}/libipa_hbac.so.*

%files -n libipa_hbac-devel
%defattr(-,root,root,-)
%if 0%{?fedora}
%doc hbac_doc/html
%endif
%if 0%{?rhel} >= 6
%doc hbac_doc/html
%endif
%{_includedir}/ipa_hbac.h
%{_libdir}/libipa_hbac.so
%{_libdir}/pkgconfig/ipa_hbac.pc

%files -n libipa_hbac-python
%defattr(-,root,root,-)
%{python_sitearch}/pyhbac.so


%post
/sbin/ldconfig
/sbin/chkconfig --add %{servicename}

if [ $1 -ge 1 ] ; then
    /sbin/service %{servicename} condrestart 2>&1 > /dev/null
fi

%preun
if [ $1 = 0 ]; then
    /sbin/service %{servicename} stop 2>&1 > /dev/null
    /sbin/chkconfig --del %{servicename}
fi

%postun -p /sbin/ldconfig

%post client -p /sbin/ldconfig

%postun client -p /sbin/ldconfig

%post -n libipa_hbac -p /sbin/ldconfig

%postun -n libipa_hbac -p /sbin/ldconfig

%changelog
* Wed Sep 11 2013 Jakub Hrozek <jhrozek@redhat.com> - 1.5.1-71
- Do not crash when dyndns update times out
- Resolves: rhbz#1000205 - sssd_be segfaults if IPA dynamic DNS update
                           times out

* Thu Jun 27 2013 Jakub Hrozek <jhrozek@redhat.com> - 1.5.1-70
- Fix IPA provider performance issue when storing large host groups
- Resolves: rhbz#979047 - sssd_be goes to 99% CPU and causes significant
                          login delays when client is under load

* Tue Jun 25 2013 Jakub Hrozek <jhrozek@redhat.com> - 1.5.1-69
- Fix startup with a broken configuration
- Resolves: rhbz#974036 - sssd core process keeps running after backends quit

* Thu May 16 2013 Jakub Hrozek <jhrozek@redhat.com> - 1.5.1-68
- Add a forgotten break in a switch statement
- Related: rhbz#886165 - sssd will stop functioning correctly if sssd_be
                         hangs for a while

* Thu May 16 2013 Jakub Hrozek <jhrozek@redhat.com> - 1.5.1-67
- Fix initialization of the paging control
- Related: rhbz#886165 - sssd segfaults (sssd_be & sssd_pam) and corrupts
                         cache repeatedly

* Thu May 16 2013 Jakub Hrozek <jhrozek@redhat.com> - 1.5.1-66
- Resolves: rhbz#961680 - sssd components seem to mishandle sighup

* Thu May 16 2013 Jakub Hrozek <jhrozek@redhat.com> - 1.5.1-65
- Resolves: rhbz#959838 - CVE-2013-0219 sssd: TOCTOU race conditions by
                          copying and removing directory trees

* Thu Apr 25 2013 Jakub Hrozek <jhrozek@redhat.com> - 1.5.1-64
- Free the LDAP control when following referrals
- Resolves: rhbz#820908 - SSSD stops working due to memory problems

* Thu Apr 25 2013 Jakub Hrozek <jhrozek@redhat.com> - 1.5.1-63
- Restart services with a timeout in case they are restarted too often
- Resolves: rhbz#950156 - sssd dead but pid file exists after heavy load
                          presented

* Wed Apr 24 2013 Jakub Hrozek <jhrozek@redhat.com> - 1.5.1-62
- Use the LDAP paging control more sparingly
- Related: rhbz#886165 - sssd segfaults (sssd_be & sssd_pam) and corrupts
                         cache repeatedly

* Fri Apr 13 2013 Jakub Hrozek <jhrozek@redhat.com> - 1.5.1-61
- Resolves: rhbz#886165 - sssd segfaults (sssd_be & sssd_pam) and corrupts
                          cache repeatedly

* Tue Feb 26 2013 Jakub Hrozek <jhrozek@redhat.com> - 1.5.1-60
- Resolves: rhbz#886165 - sssd will stop functioning correctly if sssd_be
                          hangs for a while

* Fri Feb  1 2013 Jakub Hrozek <jhrozek@redhat.com> - 1.5.1-59
- Process pending requests on PAM reconnect
- Resolves: rhbz#882414 - sssd will stop perform LDAP requests for user
                          lookup (nss), authorization, and authentication

* Wed Aug 22 2012 Jakub Hrozek <jhrozek@redhat.com> - 1.5.1-58
- Initialize hbac_ctx to NULL
- Resolves: rhbz#850722

* Fri Aug 17 2012 Jakub Hrozek <jhrozek@redhat.com> - 1.5.1-57
- Process all groups from a single nesting level
- Resolves: rhbz#846664
- Backport the option to disable srchost processing
- Resolves: rhbz#841677

* Thu Aug 02 2012 Jakub Hrozek <jhrozek@redhat.com> - 1.5.1-56
- Require libgssapiv2.so to pull in cyrus-sasl-gssapi
- Resolves: rhbz#786443

* Fri Jul 06 2012 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-55
- Rebuild against newer libtdb
- Related: rhbz#838130 - SSSD needs to be rebuilt against newer libtdb

* Fri Jun 22 2012 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-54
- Resolves: rhbz#797272 - sssd-1.5.1-37.el5 needs a dependency to dbus >= 1.1
- Resolves: rhbz#797300 - Logging in with ssh pub key should consult
                          authentication authority policies
- Resolves: rhbz#833169 - Add support for terminating idle connections in
                          sssd_nss
- Resolves: rhbz#783081 - sssd_be crashes during auth when there exists UTF
                          source host group in an hbacrule
- Resolves: rhbz#786443 - sssd on ppc64 doesn't pull cyrus-sasl-gssapi.ppc as
                          a dependancy
- Resolves: rhbz#827469 - Unable to lookup user, group, netgroup aliases with
                          case_sensitive=false

* Thu Jun 14 2012 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-53
- Resolves: rhbz#826237 - sssd_be segfaulting with IPA backend

* Mon Jun 04 2012 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-52
- Resolves: rhbz#817073 - sssd fails to use the last AD server if other AD
                          servers are not reachable
- Resolves: rhbz#828190 - Infinite loop checking Kerberos credentials

* Wed Apr 25 2012 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-51
- Resolves: rhbz#815154 - Raise limits for max num of files sssd_nss/sssd_pam
                          can use

* Thu Mar 22 2012 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-50
- Add the ability to disable the LDAP simple paging control
- Resolves: rhbz#782221 - Intermittent LDAP paging errors

* Fri Jan 13 2012 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-49
- Resolves: rhbz#680443 - Detect support for the nsupdate realm directive
- Resolves: rhbz#773327 - The full dyndns update message should be logged
                          into debug logs

* Tue Dec 13 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-47
- Resolves: rhbz#767168 Offline actions take a very long time

* Fri Dec 09 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-46
- Related:  rhbz#758168 - sssd_nss crashes when passed invalid UTF-8 for the
                          username in getpwnam()

* Mon Dec 05 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-45
- Resolves: rhbz#760106 - cannot install sssd or sssd-tools
- Resolves: rhbz#758168 - sssd_nss crashes when passed invalid UTF-8 for the
                          username in getpwnam()
- Resolves: rhbz#758163 - LDAP failover not working if server refuses
                          connections
- Resolves: rhbz#760166 - HBAC rule evaluation does not support extended
                          UTF-8 languages

* Mon Dec 05 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-44
- Related:  rhbz#748844 - sssd.$arch should require sssd-client.$arch

* Mon Nov 28 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-43
- Resolves: rhbz#757810 - SSSD needs to build with -fno-strict-aliasing

* Wed Nov 23 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-41
- Resolves: rhbz#748844 - sssd.$arch should require sssd-client.$arch

* Wed Nov 02 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-40
- Resolves: rhbz#750373 - Major cached entry performance regression

* Mon Oct 31 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-39
- Resolves: rhbz#750229 - SSSD may go into infinite loop during RFC2307bis
                          initgroups when groups appear in multiple nesting
                          levels

* Tue Oct 25 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-38
- Resolves: rhbz#692455 - rfc2307bis groups are being enumerated even when the gidNumber is out of the range of min_id,max_id.
- Resolves: rhbz#700168 - Users with a local group as their primary GID are denied access by the simple access provider
- Resolves: rhbz#707975 - Unable to authenticate users when username contains "\0"
- Resolves: rhbz#707999 - The IPA provider does not work with IPv6
- Resolves: rhbz#708104 - "renew_all_tgts" and "renew_handlers" messages are being logged multiple times when the provider comes back online.
- Resolves: rhbz#748818 - SSSD not functional after "self" reboot
- Resolves: rhbz#748820 - RFC2307bis initgroups calls are slow
- Resolves: rhbz#748822 - SSSD is not populating nested groups in Active Directory
- Resolves: rhbz#748834 - IPA provider fails initgroups() if user is not a member of any group
- Resolves: rhbz#748836 - Process /usr/libexec/sssd/sssd_be was killed by signal 11 (SIGSEGV) when ldap_uri is misconfigured.
- Resolves: rhbz#748837 - RFE: SSSD should support paged LDAP lookups
- Resolves: rhbz#748842 - Include valid "ldap_uri" formats in sssd-ldap man page
- Resolves: rhbz#748846 - During the change password operation the ccache is not replaced by a new one if the old one isn't active anymore.
- Resolves: rhbz#748856 - sssd doesn't honor ldap supportedControls
- Resolves: rhbz#748860 - LDAP+GSSAPI needs explicit Kerberos realm
- Resolves: rhbz#748862 - Resolve RPMDiff errors in SSSD
- Resolves: rhbz#748864 - SSSD taking 5 minutes to log in
- Resolves: rhbz#748869 - "System error" appears in log during change password operation of a user in openldap server with ppolicy enabled.
- Resolves: rhbz#748870 - sssd crashes during auth while there exists multiple external hosts along with managed host.
- Resolves: rhbz#748871 - sssd blocks login of   ipa-users
- Resolves: rhbz#748872 - Authentication fails when there exists an empty hbacsvcgroup.
- Resolves: rhbz#748873 - Improve password policy error message
- Resolves: rhbz#748874 - Unable to enumerate rfc2307bis group with non-default attribute names.
- Resolves: rhbz#748875 - SSSD should pick a user/group name when there are multi-valued names
- Resolves: rhbz#748877 - Group lookups doesn't return it's member for sometime when the member has multi-valued uid.
- Resolves: rhbz#748878 - Lookup fails for non-primary usernames with multi-valued uid.
- Resolves: rhbz#748879 - "Unknown (private extension) error(21853), (null)" messages are logged during change password operation of a user in openldap server with ppolicy enabled.
- Resolves: rhbz#748882 - Rework the example config
- Resolves: rhbz#748897 - HBAC processing is very slow when dealing with FreeIPA deployments with large numbers of hosts.
- Resolves: rhbz#749255 - SSSD can crash due to dbus server removing a UNIX socket
- Resolves: rhbz#748833 - latest sssd fails if ldap_default_authtok_type is not mentioned
- Resolves: rhbz#748835 - SSSD's async resolver only tries the first nameserver in /etc/resolv.conf
- Resolves: rhbz#748847 - sssd shuts down if inotify crashes
- Resolves: rhbz#748848 - libsss_ldap segfault at login against OpenLDAP
- Resolves: rhbz#748849 - Certificate validation fails with message "Connection error: TLS: hostname does not match CN in peer certificate"
- Resolves: rhbz#748855 - sssd_pam leaks file descriptors.
- Resolves: rhbz#748883 - HBAC rule evaluation does not properly handle host groups
- Resolves: rhbz#748899 - HBAC: Hostname comparisons should be case-insensitive
- Resolves: rhbz#748854 - Remove DENY rules from the HBAC access provider
- Resolves: rhbz#748857 - "groups user" and "finger gecos" fails
- Resolves: rhbz#748893 - SSSD backend gets killed on slow systems
- Resolves: rhbz#748895 - Only access sssd_nss internal hash table if it was initialized
- Resolves: rhbz#748896 - sssd_pam segfaults on sssd restart
- Resolves: rhbz#748853 - IPA dynamic DNS update mangles AAAA records
- Resolves: rhbz#748858 - sssd does not handle kerberos server IP change
- Resolves: rhbz#748861 - Provide a mechanism for vetoing the use of certain shells
- Resolves: rhbz#748865 - When non-posix groups are skipped, initgroups returns random GID
- Resolves: rhbz#748866 - Add LDAP provider option to set LDAP_OPT_X_SASL_NOCANON
- Resolves: rhbz#748867 - [RFE] Have SSSD cache properly with krb5_validate = True and SElinux enabled
- Resolves: rhbz#748881 - Use an explicit base 10 when converting uidNumber to integer
- Resolves: rhbz#748821 - [RFE] Support overriding attribute value
- Resolves: rhbz#698724 - kpasswd fails when using sssd and kadmin server != kdc server
- Resolves: rhbz#680443 - Dynamic DNS update fails if multiple servers are given in ipa_server config option
- Resolves: rhbz#694580 - SSSD's man pages are missing information
- Resolves: rhbz#709352 - Typo in negative cache notification for initgroups()
- Resolves: rhbz#748898 - SSSD can crash due to dbus server removing a UNIX socket

* Thu Jun 09 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-37
- Reverts:  rhbz#680443 - Dynamic DNS update fails if multiple servers are
-                         given in ipa_server config option

* Tue May 31 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-36
- Resolves: rhbz#709333 - sssd.$arch should require sssd-client.$arch

* Wed May 25 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-35
- Resolves: rhbz#707340 - latest sssd fails if ldap_default_authtok_type is
-                         not mentioned
- Resolves: rhbz#707574 - SSSD's async resolver only tries the first
-                         nameserver in /etc/resolv.conf

* Tue May 03 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-34
- Resolves: rhbz#701702 - sssd client libraries use select() but should use
-                         poll() instead

* Mon May 02 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-33
- Related:  rhbz#700858 - Automatic TGT renewal overwrites cached password
- Fix segfault in TGT renewal

* Fri Apr 29 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-32
- Resolves: rhbz#700858 - Automatic TGT renewal overwrites cached password

* Fri Apr 15 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-30
- Resolves: rhbz#696979 - Filters not honoured against fully-qualified users

* Thu Apr 14 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-29
- Resolves: rhbz#694149 - SSSD consumes GBs of RAM, possible memory leak

* Tue Apr 12 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-28
- Related:  rhbz#691900 - SSSD needs to fall back to 'cn' for GECOS
-                         information

* Tue Apr 12 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-27
- Related:  rhbz#694853 - SSSD crashes during getent when anonymous bind is
-                         disabled

* Mon Apr 11 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-26
- Resolves: rhbz#695476 - Unable to resolve SRV record when called with
-                         _srv_,<fixed ldap uri> in ldap_uri
- Related:  rhbz#694853 - SSSD crashes during getent when anonymous bind is
-                         disabled

* Fri Apr 08 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-25
- Resolves: rhbz#694853 - SSSD crashes during getent when anonymous bind is
-                         disabled

* Fri Apr 01 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-24
- Resolves: rhbz#692960 - Process /usr/libexec/sssd/sssd_be was killed by
-                         signal 11 (SIGSEGV)
-                         Fix is to not attempt to resolve nameless servers

* Wed Mar 30 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-23
- Resolves: rhbz#691900 - SSSD needs to fall back to 'cn' for GECOS
-                         information

* Mon Mar 28 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-21
- Resolves: rhbz#690867 - Groups with a zero-length memberuid attribute can
-                         cause SSSD to stop caching and responding to
-                         requests

* Fri Mar 25 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-20
- Resolves: rhbz#690287 - Traceback messages seen while interrupting
-                         sss_obfuscate using ctrl+d
- Resolves: rhbz#690814 - [abrt] sssd-1.2.1-28.el6_0.4: _talloc_free: Process
-                         /usr/libexec/sssd/sssd_be was killed by signal 11
-                         (SIGSEGV)

* Wed Mar 23 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-19
- Related: rhbz#690096 - SSSD should skip over groups with multiple names

* Wed Mar 23 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-18
- Resolves: rhbz#690093 - SSSD breaks on RDNs with a comma in them
- Resolves: rhbz#690096 - SSSD should skip over groups with multiple names
- Resolves: rhbz#689887 - group memberships are not populated correctly during
-                         IPA provider initgroups
- Resolves: rhbz#688697 - Skip users and groups that have incomplete contents
- Resolves: rhbz#688694 - authconfig fails when access_provider is set as krb5
-                         in sssd.conf

* Thu Mar 10 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-17
- Resolves: rhbz#688677 - Build SSSD in RHEL 5.7 against openldap24-libs
- Adds support for following LDAP referrals and using Mozilla NSS for crypto
- support

* Wed Mar 09 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-16
- Resolves: rhbz#683260 - sudo/ldap lookup via sssd gets stuck for 5min
-                         waiting on netgroup
- Resolves: rhbz#683585 - sssd consumes 100% CPU
- Related: rhbz#680441  - sssd does not handle kerberos server IP change

* Tue Mar 08 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-15
- Related: rhbz#680441 - sssd does not handle kerberos server IP change
-   SSSD was staying with the old server if it was still online

* Mon Mar 07 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-14
- Resolves: rhbz#682853 - IPA provider should use realm instead of ipa_domain
-                         for base DN

* Mon Mar 07 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-13
- Resolves: rhbz#682803 - sssd-be segmentation fault - ipa-client on
-                         ipa-server
- Resolves: rhbz#680441 - sssd does not handle kerberos server IP change
- Resolves: rhbz#680443 - Dynamic DNS update fails if multiple servers are
-                         given in ipa_server config option
- Resolves: rhbz#680933 - Do not delete sysdb memberOf if there is no memberOf
-                         attribute on the server
- Resolves: rhbz#682808 - sssd_nss core dumps with certain lookups

* Tue Feb 22 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-12
- Related: rhbz#679087 - SSSD IPA provider should honor the krb5_realm option
- Related: rhbz#678615 - SSSD needs to look at IPA's compat tree for netgroups

* Tue Feb 22 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-11
- Resolves: rhbz#679087 - SSSD IPA provider should honor the krb5_realm option
- Resolves: rhbz#679097 - Does not read renewable ccache at startup

* Mon Feb 21 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-10
- Resolves: rhbz#678606 - User information not updated on login for secondary
-                         domains
- Resolves: rhbz#678778 - IPA provider does not update removed group
-                         memberships on initgroups

* Sat Feb 19 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-9
- Resolves: rhbz#678780 - sssd crashes at the next tgt renewals it tries
- Resolves: rhbz#678412 - name service caches names, so id command shows
-                         recently deleted users
- Resolves: rhbz#678615 - SSSD needs to look at IPA's compat tree for
-                         netgroups

* Thu Feb 17 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-8
- Related: rhbz#665314 - Rebase SSSD to 1.5 in RHEL 5.7
- Fix generation of translated manpages

* Wed Feb 16 2011 Stephen Gallagher <sgallagh@redhat.com> - 1.5.1-7
- Resolves: rhbz#665314 - Rebase SSSD to 1.5 in RHEL 5.7
- Resolves: rhbz#676027 - sssd segfault when first entry of ldap_uri is
-                         unreachable
- Resolves: rhbz#678032 - Remove HBAC time rules from SSSD
- Resolves: rhbz#675007 - sssd corrupts group cache
- Resolves: rhbz#608864 - [RFE] Support obfuscated passwords in the SSSD
-                         configuration

* Thu Dec 02 2010 Stephen Gallagher <sgallagh@redhat.com> - 1.2.1-39
- Resolves: rhbz#659136 - SSSD shutdown sometimes hangs

* Wed Nov 24 2010 Stephen Gallagher <sgallagh@redhat.com> - 1.2.1-38
- Resolves: rhbz#638241 - sssd stops on upgrade

* Fri Nov 05 2010 Stephen Gallagher <sgallagh@redhat.com> - 1.2.1-37
- Resolves: rhbz#649037 - Unable to set SELinux user for the user´s login

* Wed Nov 03 2010 Stephen Gallagher <sgallagh@redhat.com> - 1.2.1-36
- Resolves: rhbz#649285 - SSSD will sometimes lose groups from the cache

* Tue Nov 02 2010 Stephen Gallagher <sgallagh@redhat.com> - 1.2.1-35
- Resolves: rhbz#645437 - NSS responder dies if DP dies during a request

* Tue Oct 26 2010 Stephen Gallagher <sgallagh@redhat.com> - 1.2.1-34
- Resolves: rhbz#645515 - 'getent passwd <username>' returns nothing if its
-                         uidNumber gt 2147483647

* Fri Oct 22 2010 Stephen Gallagher <sgallagh@redhat.com> - 1.2.1-33
- Resolves: rhbz#645515 - 'getent passwd <username>' returns nothing if its
-                         uidNumber gt 2147483647

* Fri Oct 08 2010 Stephen Gallagher <sgallagh@redhat.com> - 1.2.1-32
- Resolves: rhbz#636055 - SSSD initgroups does not behave as expected
- Resolves: rhbz#634918 - multilib conflicts in libpath_utils-devel and
-                         libini_config-devel

* Fri Oct 08 2010 Stephen Gallagher <sgallagh@redhat.com> - 1.2.1-31
- Resolves: rhbz#633863 - SSSD log fills up the disk
- Resolves: rhbz#634918 - multilib conflicts in libpath_utils-devel and
-                         libini_config-devel
- Resolves: rhbz#636823 - the krb5 locator plugin isn't packaged for multilib
- Resolves: rhbz#638241 - sssd stops on upgrade

* Tue Sep 28 2010 Stephen Gallagher <sgallagh@redhat.com> - 1.2.1-30
- Resolves: rhbz#634861 - error: %%post(sssd-1.2.1-28.1.el5.s390x) scriptlet
-                         failed, exit status 127

* Thu Sep 23 2010 Stephen Gallagher <sgallagh@redhat.com> - 1.2.1-29
- Resolves: rhbz#636823 - the krb5 locator plugin isn't packaged for multilib

* Tue Aug 24 2010 Stephen Gallagher <sgallagh@redhat.com> - 1.2.1-28.1
- Resolves: CVE-2010-2940 - sssd allows null password entry to authenticate
-                           against LDAP
- Patch was included but not applied in previous version

* Tue Aug 24 2010 Stephen Gallagher <sgallagh@redhat.com> - 1.2.1-27.1
- Resolves: CVE-2010-2940 - sssd allows null password entry to authenticate
-                           against LDAP

* Wed Aug 04 2010 Stephen Gallagher <sgallagh@redhat.com> - 1.2.1-26
- Resolves: rhbz#621307 - Password changes are broken on LDAP

* Wed Aug 04 2010 Stephen Gallagher <sgallagh@redhat.com> - 1.2.1-23.1
- Initial release for Red Hat Enterprise Linux 5

* Fri Jul 30 2010 Stephen Gallagher <sgallagh@redhat.com> - 1.2.1-23
- Resolves: rhbz#617623 - SSSD suffers from serious performance issues on
-                         initgroups calls

* Fri Jul 23 2010 Stephen Gallagher <sgallagh@redhat.com> - 1.2.1-21
- Resolves: rhbz#607233 - SSSD users cannot log in through GDM
-                       - Real issue was that long-running services
-                       - do not reconnect if sssd is restarted

* Fri Jul 09 2010 Stephen Gallagher <sgallagh@redhat.com> - 1.2.1-20
- Resolves: rhbz#591715 - sssd should emit warnings if there are problems with
-                         /etc/krb5.keytab file

* Mon Jun 28 2010 Stephen Gallagher <sgallagh@redhat.com> - 1.2.1-19
- Resolves: rhbz#606836 - libcollection needs an soname bump before RHEL 6
-                         final
- Resolves: rhbz#608661 - SASL with OpenLDAP server fails
- Resolves: rhbz#608688 - SSSD doesn't properly request RootDSE attributes

* Fri Jun 18 2010 Stephen Gallagher <sgallagh@redhat.com> - 1.2.1-15
- New upstream bugfix release 1.2.1
- Resolves: rhbz#601770 - SSSD in RHEL 6.0 should ship with zero open Coverity
-                         bugs.
- Resolves: rhbz#603041 - Remove unnecessary option krb5_changepw_principal
- Resolves: rhbz#604704 - authconfig should provide error with no trace back
-                         if disabling sssd when sssd is not enabled
- Resolves: rhbz#591873 - Connecting to the network after an offline kerberos
-                         auth logs continuous error messages to sssd_ldap.log
- Resolves: rhbz#596295 - Authentication fails for user from the second domain
-                         when the same user name is filtered out from the
-                         first domain
- Related:  rhbz#598559 - Update translation files for SSSD before RHEL 6
-                         final

* Thu Jun 10 2010 Stephen Gallagher <sgallagh@redhat.com> - 1.2.0-14
- Resolves: rhbz#593696 - Empty list of simple_allow_users causes sssd service
-                         to fail while restart
- Resolves: rhbz#600352 - Wrapping the value for "ldap_access_filter" in
-                         parentheses causes ldap_search_ext to fail
- Resolves: rhbz#600468 - Segfault in krb5_child
- Related:  rhbz#601770 - SSSD in RHEL 6.0 should ship with zero open Coverity
-                         bugs.

* Wed Jun 02 2010 Stephen Gallagher <sgallagh@redhat.com> - 1.2.0-13
- Resolves: rhbz#598670 - Ccache file of a user is removed too early
- Resolves: rhbz#599057 - Incomplete comparison of a service name in
-                         IPA access provider
- Resolves: rhbz#598496 - Failure with IPA access provider
- Resolves: rhbz#599027 - Makefile typo causes SSSD not to use the
-                         kernel keyring

* Mon May 24 2010 Stephen Gallagher <sgallagh@redhat.com> - 1.2.0-12
- New stable upstream version 1.2.0
- Support ServiceGroups for FreeIPA v2 HBAC rules
- Fix long-standing issue with auth_provider = proxy
- Better logging for TLS issues in LDAP
- Resolves: rhbz#584001 - Rebase sssd to 1.2
- Resolves: rhbz#584017 - Unconfiguring sssd leaves KDC locator file
- Resolves: rhbz#587384 - authconfig fails if krb5_kpasswd in sssd.conf
- Resolves: rhbz#587743 - Need to replicate pam_ldap's pam_filter in sssd.conf
- Resolves: rhbz#590134 - sssd: auth_provider = proxy regression
- Resolves: rhbz#591131 - Kerberos provider needs to rewrite kdcinfo file when
-                         going online
- Resolves: rhbz#591136 - Change SSSD ipa BE to handle new structure of the
-                         HBAC rule

* Wed May 19 2010 Stephen Gallagher <sgallagh@redhat.com> - 1.1.92-11.1
- Improve DEBUG logs for STARTTLS failures

* Tue May 18 2010 Stephen Gallagher <sgallagh@redhat.com> - 1.1.92-11
- New LDAP access provider allows for filtering user access by LDAP attribute
- Reduced default timeout for detecting offline status with LDAP
- GSSAPI ticket lifetime made configurable
- Better offline->online transition support in Kerberos

* Fri May 07 2010 Stephen Gallagher <sgallagh@redhat.com> - 1.1.91-10
- Release new upstream version 1.1.91
- Enhancements when using SSSD with FreeIPA v2
- Support for deferred kinit
- Support for DNS SRV records for failover

* Fri Apr 02 2010 Simo Sorce <ssorce@redhat.com> - 1.1.1-3
- Bump up release number to avoid library sub-packages version issues with
  previous releases.

* Thu Apr 01 2010 Stephen Gallagher <sgallagh@redhat.com> - 1.1.1-1
- New upstream release 1.1.1
- Fixed the IPA provider (which was segfaulting at start)
- Fixed a bug in the SSSDConfig API causing some options to revert to
- their defaults
- This impacted the Authconfig UI
- Ensure that SASL binds to LDAP auto-retry when interrupted by a signal

* Tue Mar 22 2010 Stephen Gallagher <sgallagh@redhat.com> - 1.1.0-2
- Release SSSD 1.1.0 final
- Fix two potential segfaults
- Fix memory leak in monitor
- Better error message for unusable confdb

* Wed Mar 17 2010 Stephen Gallagher <sgallagh@redhat.com> - 1.1.0-1.pre20100317git0ea7f19
- Release candidate for SSSD 1.1
- Add simple access provider
- Create subpackages for libcollection, libini_config, libdhash and librefarray
- Support IPv6
- Support LDAP referrals
- Fix cache issues
- Better feedback from PAM when offline

* Wed Feb 24 2010 Stephen Gallagehr <sgallagh@redhat.com> - 1.0.5-2
- Rebuild against new libtevent

* Fri Feb 19 2010 Stephen Gallagher <sgallagh@redhat.com> - 1.0.5-1
- Fix licenses in sources and on RPMs

* Mon Jan 25 2010 Stephen Gallagher <sgallagh@redhat.com> - 1.0.4-1
- Fix regression on 64-bit platforms

* Fri Jan 22 2010 Stephen Gallagher <sgallagh@redhat.com> - 1.0.3-1
- Fixes link error on platforms that do not do implicit linking
- Fixes double-free segfault in PAM
- Fixes double-free error in async resolver
- Fixes support for TCP-based DNS lookups in async resolver
- Fixes memory alignment issues on ARM processors
- Manpage fixes

* Thu Jan 14 2010 Stephen Gallagher <sgallagh@redhat.com> - 1.0.2-1
- Fixes a bug in the failover code that prevented the SSSD from detecting when it went back online
- Fixes a bug causing long (sometimes multiple-minute) waits for NSS requests
- Several segfault bugfixes

* Mon Jan 11 2010 Stephen Gallagher <sgallagh@redhat.com> - 1.0.1-1
- Fix CVE-2010-0014

* Mon Dec 21 2009 Stephen Gallagher <sgallagh@redhat.com> - 1.0.0-2
- Patch SSSDConfig API to address
- https://bugzilla.redhat.com/show_bug.cgi?id=549482

* Fri Dec 18 2009 Stephen Gallagher <sgallagh@redhat.com> - 1.0.0-1
- New upstream stable release 1.0.0

* Fri Dec 11 2009 Stephen Gallagher <sgallagh@redhat.com> - 0.99.1-1
- New upstream bugfix release 0.99.1

* Mon Nov 30 2009 Stephen Gallagher <sgallagh@redhat.com> - 0.99.0-1
- New upstream release 0.99.0

* Tue Oct 27 2009 Stephen Gallagher <sgallagh@redhat.com> - 0.7.1-1
- Fix segfault in sssd_pam when cache_credentials was enabled
- Update the sample configuration
- Fix upgrade issues caused by data provider service removal

* Mon Oct 26 2009 Stephen Gallagher <sgallagh@redhat.com> - 0.7.0-2
- Fix upgrade issues from old (pre-0.5.0) releases of SSSD

* Fri Oct 23 2009 Stephen Gallagher <sgallagh@redhat.com> - 0.7.0-1
- New upstream release 0.7.0

* Thu Oct 15 2009 Stephen Gallagher <sgallagh@redhat.com> - 0.6.1-2
- Fix missing file permissions for sssd-clients

* Tue Oct 13 2009 Stephen Gallagher <sgallagh@redhat.com> - 0.6.1-1
- Add SSSDConfig API
- Update polish translation for 0.6.0
- Fix long timeout on ldap operation
- Make dp requests more robust

* Tue Sep 29 2009 Stephen Gallagher <sgallagh@redhat.com> - 0.6.0-1
- Ensure that the configuration upgrade script always writes the config
  file with 0600 permissions
- Eliminate an infinite loop in group enumerations

* Mon Sep 28 2009 Sumit Bose <sbose@redhat.com> - 0.6.0-0
- New upstream release 0.6.0

* Mon Aug 24 2009 Simo Sorce <ssorce@redhat.com> - 0.5.0-0
- New upstream release 0.5.0

* Wed Jul 29 2009 Jakub Hrozek <jhrozek@redhat.com> - 0.4.1-4
- Fix for CVE-2009-2410 - Native SSSD users with no password set could log in
  without a password. (Patch by Stephen Gallagher)

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jun 22 2009 Simo Sorce <ssorce@redhat.com> - 0.4.1-2
- Fix a couple of segfaults that may happen on reload

* Thu Jun 11 2009 Simo Sorce <ssorce@redhat.com> - 0.4.1-1
- add missing configure check that broke stopping the daemon
- also fix default config to add a missing required option

* Mon Jun  8 2009 Simo Sorce <ssorce@redhat.com> - 0.4.1-0
- latest upstream release.
- also add a patch that fixes debugging output (potential segfault)

* Mon Apr 20 2009 Simo Sorce <ssorce@redhat.com> - 0.3.2-2
- release out of the official 0.3.2 tarball

* Mon Apr 20 2009 Jakub Hrozek <jhrozek@redhat.com> - 0.3.2-1
- bugfix release 0.3.2
- includes previous release patches
- change permissions of the /etc/sssd/sssd.conf to 0600

* Tue Apr 14 2009 Simo Sorce <ssorce@redhat.com> - 0.3.1-2
- Add last minute bug fixes, found in testing the package

* Mon Apr 13 2009 Simo Sorce <ssorce@redhat.com> - 0.3.1-1
- Version 0.3.1
- includes previous release patches

* Mon Apr 13 2009 Simo Sorce <ssorce@redhat.com> - 0.3.0-2
- Try to fix build adding automake as an explicit BuildRequire
- Add also a couple of last minute patches from upstream

* Mon Apr 13 2009 Simo Sorce <ssorce@redhat.com> - 0.3.0-1
- Version 0.3.0
- Provides file based configuration and lots of improvements

* Tue Mar 10 2009 Simo Sorce <ssorce@redhat.com> - 0.2.1-1
- Version 0.2.1

* Tue Mar 10 2009 Simo Sorce <ssorce@redhat.com> - 0.2.0-1
- Version 0.2.0

* Sun Mar 08 2009 Jakub Hrozek <jhrozek@redhat.com> - 0.1.0-5.20090309git691c9b3
- package git snapshot

* Fri Mar 06 2009 Jakub Hrozek <jhrozek@redhat.com> - 0.1.0-4
- fixed items found during review
- added initscript

* Thu Mar 05 2009 Sumit Bose <sbose@redhat.com> - 0.1.0-3
- added sss_client

* Mon Feb 23 2009 Jakub Hrozek <jhrozek@redhat.com> - 0.1.0-2
- Small cleanup and fixes in the spec file

* Thu Feb 12 2009 Stephen Gallagher <sgallagh@redhat.com> - 0.1.0-1
- Initial release (based on version 0.1.0 upstream code)
